PDA

View Full Version : Can we upgrade OpenSSL and/or Apache?



Anonymous
05-10-2004, 06:12 AM
Hi,

Your prices are amazing for the features/support!

Can we upgrade the following software in our VPS? If so, are there WestHost-specific instructions that help get around issues related to not having true root/superuser?

1. OpenSSL 0.9.6b (July 2001) -> OpenSSL 0.9.7c (March 2004)
2. Apache 1.3.27 -> 1.3.29
3. Perl 5.6.0 -> Perl 5.6.1

The OpenSSL update is the most important one since there have been MANY publicized buffer-overflow exploits and other nasties.

Also, which Linux distro/version is the closest to the WestHost VPS? Would RedHat RPMs be the way to go when installing these?

Thanks!

WestHost - MMellor
05-10-2004, 11:49 AM
Hello SecurityFirst,

I am glad that you notice a difference with our pricing we try to keep our prices as competitive as possible. You can upgrade the software on your VPS. It is however at your own discretion and is unsupported.

The Linux version that is closest to the WestHost VPS is RedHat but it does not have any package management support. As far as RPMs those actually do not work.

Please let me know if there are any other questions that I can answer or if there is anything else I can help with.